#include "shopform.h"
#include "ui_shopform.h"
#include "directsaleform.h"
#include "temporaryreceiptsaveform.h"
#include "receiptsaveform.h"
#include "receiptloadform.h"

ShopForm::ShopForm(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ShopForm)
{
    ui->setupUi(this);
}

ShopForm::~ShopForm()
{
    delete ui;
}

void ShopForm::on_directSale_clicked()
{
    DirectSaleForm *form = new DirectSaleForm(this);
    form->show();
}

void ShopForm::on_temporarySaveButton_clicked()
{
    TemporaryReceiptSaveForm *form = new TemporaryReceiptSaveForm(this);
    form->show();
}

void ShopForm::on_saveButton_clicked()
{
    ReceiptSaveForm *form = new ReceiptSaveForm;
    form->show();
}

void ShopForm::on_loadButton_clicked()
{
    ReceiptLoadForm *form = new ReceiptLoadForm;
    form->show();
}
